{
	"type": "minecraft:cache_once",
	"argument": {
		"type": "minecraft:mul",
		"argument1": {
			"type": "minecraft:mul",
			"argument1": 0.16,
			"argument2": {
				"type": "minecraft:add",
				"argument1": "sanctuary:island_spawn_density",
				"argument2": 1.35
			}
		},
		"argument2": {
			"type": "minecraft:add",
			"argument1": 0.36,
			"argument2": {
				"type": "minecraft:add",
				"argument1": {
					"type": "minecraft:mul",
					"argument1": 0.85,
					"argument2": {
						"type": "minecraft:noise",
						"noise": "minecraft:cave_cheese",
						"xz_scale": 0.78,
						"y_scale": 1.75
					}
				},
				"argument2": {
					"type": "minecraft:add",
					"argument1": {
						"type": "minecraft:mul",
						"argument1": 0.55,
						"argument2": {
							"type": "minecraft:noise",
							"noise": "minecraft:jagged",
							"xz_scale": 0.42,
							"y_scale": 2.25
						}
					},
					"argument2": {
						"type": "minecraft:mul",
						"argument1": -0.26,
						"argument2": {
							"type": "minecraft:abs",
							"argument": {
								"type": "minecraft:noise",
								"noise": "minecraft:spaghetti_3d_1",
								"xz_scale": 1.15,
								"y_scale": 1.55
							}
						}
					}
				}
			}
		}
	}
}
